#include "spi.h"
#include "ST7735R_TFT.h"
#include "mpu6050/mpu6050.h"
#include "pff.h"
#include "sd.h"

#define LEFT_STICK 0
#define RIGHT_STICK 1

#define DELETE 0
#define DRAW 1

#define LEFT_X ((ST7735R_WIDTH - 1) / 8)
#define LEFT_Y (3 * (ST7735R_HEIGHT - 1) / 8)

#define RIGHT_X ((ST7735R_WIDTH - 1) / 8)
#define RIGHT_Y (5 * (ST7735R_HEIGHT - 1) / 8)

#define PI 3.14
#define LIMIT 10

const int sounds[] = {100, 500, 2000, 4000};
uint8_t mul[] = {12, 10, 8, 6, 4, 2, 4, 6, 8, 10, 12};
uint8_t diviz = 6;

uint8_t total_notes = sizeof(mul) / sizeof(mul[0]);
uint8_t note;
uint8_t type;

const int snare_drum_min = 120;
const int snare_drum_max = 250;
const int tom_min = 60;
const int tom_max = 210;
const int ride_cymbal = 4000;

const int drums_x[] = {
        (ST7735R_WIDTH - 1) / 4,
        5 * (ST7735R_WIDTH - 1) / 8,
        5 * (ST7735R_WIDTH - 1) / 8,
        (ST7735R_WIDTH - 1) / 4,
};
const int drums_y[] = {
        1 * (ST7735R_HEIGHT - 1) / 8,
        5 * (ST7735R_HEIGHT - 1) / 16,
        11 * (ST7735R_HEIGHT - 1) / 16,
        7 * (ST7735R_HEIGHT - 1) / 8,

};

const int drum_r = 27;
int sX[2], sY[2];
int make_it[2];
int bat;

double ax[2], ay[2], az[2], gx[2] = {90.0, 90.0}, gy[2], gz[2] = {90.0, 90.0};
double axds[2], ayds[2], azds[2], gxds[2], gyds[2], gzds[2];
double old_axds[2], old_ayds[2], old_azds[2], old_gxds[2], old_gyds[2], old_gzds[2];
double max[2];

void generate_sound(int nota);
void draw_drumstick(int x, int y, float angle, int draw, int stick);
void drums_init(void);
int distance(int circle, int stick);
void druum(int stick);

/*  Obtinere date senzori  */
void timer2_start(void);
void timer2_stop(void);

/*  Desenare si activare sunet bete  */
void timer1_start(void);
void timer1_stop(void);

/*  PWM pentru sunet  */
void timer2_init(void);

UINT play(const char *path);
